<div class="row">

  <button class="btn btn-info pull-left" (click)="onBack()">Retour</button>

  <div class="col-xs-7 col-xs-offset-2">
    <h2>Enregistrer un nouveau livre</h2>

    <form [formGroup]="bookForm" (ngSubmit)="onSaveBook()">

      <div class="form-group">
        <label for="title">Titre</label>
        <input type="text" id="title" class="form-control" formControlName="title">
      </div>

      <div class="form-group">
        <label for="author">Auteur</label>
        <input type="text" id="author" class="form-control" formControlName="author">
      </div>

      <div class="form-group">
        <label for="synopsis">Synopsis</label>
        <textarea id="synopsis" class="form-control" formControlName="synopsis" rows="5"></textarea>
      </div>

      <div class="form-group">
        <h4>Ajouter une photo</h4>
        <input type="file" class="form-control" (change)="detectFiles($event)" accept="image/*">
        <br>
        <p class="text-success" *ngIf="fileIsUploaded">Image chargée.</p>
      </div>

      <button type="submit"
              class="btn btn-success"
              [disabled]="bookForm.invalid || fileIsUploading">Enregistrer</button>

    </form>
  </div>
</div>
